import { Event } from 'vscode-jsonrpc';
import { _, Features, WorkspaceFeature } from './main';
import { WorkspaceFolder, WorkspaceFoldersChangeEvent } from './protocol.proposed';
import Uri from 'vscode-uri';
export interface WorkspaceFoldersProposed {
    getWorkspaceFolders(): Thenable<WorkspaceFolder[] | null>;
    getWorkspaceFolder(uri: string): Thenable<WorkspaceFolder | null>;
    onDidChangeWorkspaceFolders: Event<WorkspaceFoldersChangeEvent>;
}
export declare const WorkspaceFoldersFeature: WorkspaceFeature<WorkspaceFoldersProposed>;
export interface GetConfigurationProposed {
    getGlobalConfiguration(): Thenable<any>;
    getGlobalConfiguration(section: string): Thenable<any>;
    getGlobalConfiguration(sections: string[]): Thenable<any[]>;
    getScopedConfiguration(scopeUri: Uri | string): Thenable<any>;
    getScopedConfiguration(scopeUri: Uri | string, section: string): Thenable<any>;
    getScopedConfiguration(scopeUri: Uri | string, sections: string[]): Thenable<any[]>;
    getScopedConfiguration(scopeUris: (Uri | string)[]): Thenable<any[]>;
    getScopedConfiguration(scopeUris: (Uri | string)[], section: string): Thenable<any[]>;
    getScopedConfiguration(scopeUris: (Uri | string)[], sections: string[]): Thenable<any[][]>;
}
export declare const GetConfigurationFeature: WorkspaceFeature<GetConfigurationProposed>;
export declare const ProposedProtocol: Features<_, _, _, _, _, WorkspaceFoldersProposed & GetConfigurationProposed>;
