/* --------------------------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 * ------------------------------------------------------------------------------------------ */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_jsonrpc_1 = require("vscode-jsonrpc");
//---- Get Configuration request ----
/**
 * The 'workspace/getConfiguration' request is sent from the server to the client to fetch a certain
 * configuration setting.
 */
var GetConfigurationRequest;
(function (GetConfigurationRequest) {
    GetConfigurationRequest.type = new vscode_jsonrpc_1.RequestType('workspace/getConfiguration');
})(GetConfigurationRequest = exports.GetConfigurationRequest || (exports.GetConfigurationRequest = {}));
/**
 * The `workspace/getWorkspaceFolders` is sent from the server to the client to fetch the open workspace folders.
 */
var GetWorkspaceFolders;
(function (GetWorkspaceFolders) {
    GetWorkspaceFolders.type = new vscode_jsonrpc_1.RequestType0('workspace/getWorkspaceFolders');
})(GetWorkspaceFolders = exports.GetWorkspaceFolders || (exports.GetWorkspaceFolders = {}));
/**
 * The `workspace/getWorkspaceFolder` is sent from the server to the client to fetch the workspace folder for a
 * specific resource.
 */
var GetWorkspaceFolder;
(function (GetWorkspaceFolder) {
    GetWorkspaceFolder.type = new vscode_jsonrpc_1.RequestType('workspace/getWorkspaceFolders');
})(GetWorkspaceFolder = exports.GetWorkspaceFolder || (exports.GetWorkspaceFolder = {}));
var DidChangeWorkspaceFolders;
(function (DidChangeWorkspaceFolders) {
    DidChangeWorkspaceFolders.type = new vscode_jsonrpc_1.NotificationType('workspace/didChangeWorkspaceFolders');
})(DidChangeWorkspaceFolders = exports.DidChangeWorkspaceFolders || (exports.DidChangeWorkspaceFolders = {}));
